#if defined _ah_log_included
	#endinput
#endif
#define _ah_log_included

/**
 * Вызывается только когда лог создается автоматом за вчерашний день.
 * Команда ah_log игнорируется. Если PlayersCount 0, то лог не был создан = вчера никто не играл.
 * path = cfg/activity_history/log/YearMonthDay.log (в Month и Day по 2 цифры).
 * Пример записи:
 * 001. 00h:00m:23s (t: 00h:00m:09s, ct: 00h:00m:08s, spec: 00h:00m:06s), hipAi, STEAM_0:0:17246032
 * Записи по убыванию по общему времени за день (t + ct + spec) (вверху лучшие).
**/
forward AH_OnLogCreated(const String:path[], PlayersCount);

public SharedPlugin:__pl_ah_log = 
{
	name = "ah_log",
	file = "activity_history/ah_log.smx",
#if defined REQUIRE_PLUGIN
	required = 1,
#else
	required = 0,
#endif
};

#if !defined REQUIRE_PLUGIN
public __pl_ah_log_SetNTVOptional()
{
	//MarkNativeAsOptional("");
}
#endif